Package org.eclipse.cdt.core.settings.model

# Class CConfigurationStatus

java.lang.Object
org.eclipse.core.runtime.Status
org.eclipse.cdt.core.settings.model.CConfigurationStatus

All Implemented Interfaces:
  `org.eclipse.core.runtime.IStatus`

public final class CConfigurationStatus extends org.eclipse.core.runtime.Status

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CConfigurationStatus`
`CFG_STATUS_ERROR`
`static final CConfigurationStatus`
`CFG_STATUS_OK`
`static final int`
`SETTINGS_INVALID`
`static final int`
`TOOLCHAIN_NOT_SUPPORTED`

### Fields inherited from class org.eclipse.core.runtime.Status

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`CConfigurationStatus(int code, String message)`
`CConfigurationStatus(int code, String message, Throwable exception)`
`CConfigurationStatus(String pluginId, int code, String message, Throwable exception)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.Status

`error, error, getChildren, getCode, getException, getMessage, getPlugin, getSeverity, info, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString, warning, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TOOLCHAIN_NOT_SUPPORTED

public static final int TOOLCHAIN_NOT_SUPPORTED

See Also:
  - Constant Field Values

### SETTINGS_INVALID

public static final int SETTINGS_INVALID

See Also:
  - Constant Field Values

### CFG_STATUS_OK

public static final CConfigurationStatus CFG_STATUS_OK

### CFG_STATUS_ERROR

public static final CConfigurationStatus CFG_STATUS_ERROR

## Constructor Details

### CConfigurationStatus

public CConfigurationStatus(String pluginId, int code, String message, Throwable exception)

### CConfigurationStatus

public CConfigurationStatus(int code, String message, Throwable exception)

### CConfigurationStatus

public CConfigurationStatus(int code, String message)